<template>
  <div class="w-full h-screen relative flex justify-center items-center p-6" style="background-image: url('/backgroundImg.png'); background-position: center; background-color: rgba(0, 0, 0, 0.5);">
    <div class="py-4 px-8 md:py-6 md:px-12 w-full md:w-[500px]">
      <form @submit.prevent="form.post('/forgot-password')">
        <div class="w-full mx-auto">
          <img :src="`/logo.png`" class="block mx-auto h-36" />
          <div class="mb-5"><br><br></div>
  <!-- Add margin-bottom to the heading -->
  <div class="mb-5">
            <div>
              <h2 style="color: white;">Forgot Password</h2>
              <br>
              <label class="font-semibold text-base" for="email" style="color: #FFC20E; text-align: center; ">Enter your registered email address.</label>
              <input role="email" id="email" v-model="form.email" class="input w-full" placeholder="Enter email">
              <div v-if="form.errors.email" class="text-error">
                {{ form.errors.email }} 
              </div>
            </div>
          </div>
          <div class="mt-5 mb-2">
            <button role="submit" class="w-full btn 
            hover:#FFC20E hover:to-red-700 flex justify-between items-center" style="background-color: #FFC20E; color: #000; text-align: center; ">
              Recover
            </button>
          </div>
          
          <Link href="/login" class="text-base font-semibold text-white" >Back
</Link>
        </div>
      </form>
    </div>
  </div>
</template>

<script setup>
import { useForm, Link } from '@inertiajs/vue3';

const form = useForm({
  email: '',
});
</script>
